=== Makefile ===
all:
	@scons

clean:
	@scons -c

install:
	@scons install
