=== debian/changelog ===
librtech1 (1.0.0-1) groovy; urgency=medium

  * Initial pkging

 -- Chris <dpkg@chris-nz.com>  Mon, 05 Apr 2021 22:19:57 +1200
