=== debian/control ===
Source: librtech1
Section: libs
Priority: optional
Maintainer: Chris <dpkg@chris-nz.com>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               libfreetype-dev,
               liballegro-acodec5-dev,
               liballegro-audio5-dev,
               liballegro-dialog5-dev,
               liballegro-image5-dev,
               liballegro-physfs5-dev,
               liballegro-ttf5-dev,
               liballegro-video5-dev,
               liballegro5-dev,
               libmpg123-dev,
               libogg-dev,
               libpng-dev,
               libvorbis-dev,
               scons,
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://github.com/kazzmir/r-tech1
Rules-Requires-Root: no

Package: librtech1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: game development toolkit for c++
 A set of C++ wrappers around existing graphical, music and other libraries.
 .
 This package contains the development headers and files needed to create
 applications that use the r-tech1 library.
